#ifndef _BULLET_H_
#define _BULLET_H_

#include "T3DLIB1.h" // game library includes
#include "T3DLIB2.h"
#include "T3DLIB3.h"

const int BULLET_VELOCITY = 6;
const int BULLET_WIDTH = 4;
const int BULLET_HEIGHT = 4;

class bullet
{
public:
	int pos_x, pos_y, angle;
	int status;
	BOB ammo;
	
	bullet();
	~bullet();
	void Explode();
	void Draw();
	void Create(int x, int y, int ammo_angle);
	BOB bob();
	
};

#endif