#ifndef _BOAT1_H_
#define _BOAT1_H_

#include "T3DLIB1.h" // game library includes
#include "T3DLIB2.h"
#include "T3DLIB3.h"
#include "bullet.h"
#include "charge.h"

const int BARREL_LENGTH = 12;
const int BOAT_WIDTH = 146;
const int BOAT_HEIGHT = 42;

class boat1
{
public:
	int pos_x,pos_y;
	int angle; //0 points to left.  90 is straight up.  180 is right.
	int barrel_x0, barrel_y0, barrel_x1, barrel_y1;
	BOB boat;
	bullet bullet_one; //2 bullets max
	bullet bullet_two;

	charge charge_one; //3 charges max
	charge charge_two;
	charge charge_three;
	int status;
	
	boat1();
	~boat1();

	void Create(); //creates the destroyer
	void Kill();  //kills the destroyer
	void Draw();  //draws the destroyer onto the screen
	
	BOB bob();  //returns boat
	void BarrelLeft(); //when user wants to position the barrel angle
	void BarrelRight(); //when user wants to position the barrel angle
	void barrelDraw(); //UCHAR *dest);  //draws the barrel onto the screen
	
	bool FireWeaponUp();  //fires a bullet
	bool FireWeaponDown();  //fires a depth charge
	
	void MoveLeft();  //moves the destroyer to the left
	void MoveRight();  //moves the destroyer to the right
};


#endif