#include <windows.h>   // include important windows stuff
#include <windowsx.h> 
#include <mmsystem.h>
#include <iostream.h> // include important C/C++ stuff
#include <conio.h>
#include <stdlib.h>
#include <malloc.h>
#include <memory.h>
#include <string.h>
#include <stdarg.h>
#include <stdio.h> 
#include <math.h>
#include <io.h>
#include <fcntl.h>

#include <ddraw.h>  // directX includes
#include <dsound.h>
#include <dmksctrl.h>
#include <dmusici.h>
#include <dmusicc.h>
#include <dmusicf.h>
#include <dinput.h>

#include "T3DLIB1.h" // game library includes
#include "T3DLIB2.h"
#include "T3DLIB3.h"

#include "intros.h"





intros::intros() //default constructor
{
	firstrun=true;
}



void intros::IntroGame(int& sound_id1, int&sound_id2, int& sound_id3, int& sound_id4) //intro to the game
{
	DWORD time=0;
	BITMAP_IMAGE background_bmp;
	
	if(firstrun)
	{
		Load_Bitmap_File(&bitmap16bit, "graphics/water2.bmp");
		Create_Bitmap(&background_bmp,0,0,640,480,16);
		Load_Image_Bitmap16(&background_bmp, &bitmap16bit,0,0,BITMAP_EXTRACT_MODE_ABS);
		Unload_Bitmap_File(&bitmap16bit);
		
		DDraw_Fill_Surface(lpddsback, 0);
		DDraw_Fill_Surface(lpddsprimary, 0);

		DDraw_Lock_Back_Surface();

		// draw background
		Draw_Bitmap16(&background_bmp, back_buffer, back_lpitch,0);
		
		// unlock back surface
		DDraw_Unlock_Back_Surface();
		DDraw_Flip();

		
		DSound_Play(sound_id1,DSBPLAY_LOOPING);
		
		Sleep(3000);
		Draw_Text_GDI("Destroyer Assault",235, 160,RGB(255,0,0), lpddsback);
		DDraw_Flip();

		Sleep(3000);
		Draw_Text_GDI("By Rami Hamadeh and Brandon Hansen",167, 180,RGB(0,150,180), lpddsback);
		DDraw_Flip();
		
		firstrun=false;
	}
	
	Sleep(3000);		

	DDraw_Fill_Surface(lpddsback, 0);
	DDraw_Fill_Surface(lpddsprimary, 0);

	DDraw_Lock_Back_Surface();

	// draw background
	Draw_Bitmap16(&background_bmp, back_buffer, back_lpitch,0);
		
	// unlock back surface
	DDraw_Unlock_Back_Surface();
	DDraw_Flip();


	Draw_Text_GDI("It is a beautiful day off the coast of Hawaii here in December of 1941.",20, 100,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("The sun is shining and the seagulls are singing.",20, 120,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("Press [SPACE] to continue",465, 460,RGB(255,255,255), lpddsback);
	DDraw_Flip();
a:
	DInput_Read_Keyboard();
	if (keyboard_state[DIK_SPACE])
	{
		if(Get_Clock() - time < 400)
			goto a;
		else
		{
			DDraw_Fill_Surface(lpddsback, 0);
			DDraw_Fill_Surface(lpddsprimary, 0);

			DDraw_Lock_Back_Surface();

			// draw background
			Draw_Bitmap16(&background_bmp, back_buffer, back_lpitch,0);
		
			// unlock back surface
			DDraw_Unlock_Back_Surface();
			DDraw_Flip();

			Draw_Text_GDI("You are minding your own business, mopping the deck of the USS Microship.",20, 100,RGB(0,150,180), lpddsback);
			DDraw_Flip();
			Sleep(2000);
			DSound_Play(sound_id3);
			Draw_Text_GDI("Suddenly...",20, 120,RGB(0,150,180), lpddsback);
			Draw_Text_GDI("Press [SPACE] to continue",465, 460,RGB(255,255,255), lpddsback);
			DDraw_Flip();
			time = Get_Clock();
		}
	}
	else goto a;
b:		
	DInput_Read_Keyboard();
	if (keyboard_state[DIK_SPACE])
	{
		if(Get_Clock() - time < 400)
			goto b;
		else
		{
			DDraw_Fill_Surface(lpddsback, 0);
			DDraw_Fill_Surface(lpddsprimary, 0);

			DDraw_Lock_Back_Surface();

			// draw background
			Draw_Bitmap16(&background_bmp, back_buffer, back_lpitch,0);
		
			// unlock back surface
			DDraw_Unlock_Back_Surface();
			DDraw_Flip();

			DSound_Play(sound_id4);
			Draw_Text_GDI("You are knocked off your feet as the entire ship shakes and rattles",20, 100,RGB(0,150,180), lpddsback);
			Draw_Text_GDI("as if there was an earthquake.",20, 120,RGB(0,150,180), lpddsback);
			Draw_Text_GDI("Press [SPACE] to continue",465, 460,RGB(255,255,255), lpddsback);
			DDraw_Flip();
			time = Get_Clock();
		}
	}
	else goto b;
c:			
	DInput_Read_Keyboard();
	if (keyboard_state[DIK_SPACE])
	{
		if(Get_Clock() - time < 400)
			goto c;
		else
		{
			DDraw_Fill_Surface(lpddsback, 0);
			DDraw_Fill_Surface(lpddsprimary, 0);

			DDraw_Lock_Back_Surface();

			// draw background
			Draw_Bitmap16(&background_bmp, back_buffer, back_lpitch,0);
		
			// unlock back surface
			DDraw_Unlock_Back_Surface();
			DDraw_Flip();

			DSound_Play(sound_id2);
			Draw_Text_GDI("The siren begins to sound as the entire fleet struggles to man their battle stations.",20, 100,RGB(0,150,180), lpddsback);
			Draw_Text_GDI("More than half of your crewmates have been knocked overboard.",20, 120,RGB(0,150,180), lpddsback);
			Draw_Text_GDI("Press [SPACE] to continue",465, 460,RGB(255,255,255), lpddsback);
			DDraw_Flip();
			time = Get_Clock();
		}
	}
	else goto c;
d:				
	DInput_Read_Keyboard();
	if (keyboard_state[DIK_SPACE])
	{
		if(Get_Clock() - time < 400)
			goto d;
		else
		{
			DDraw_Fill_Surface(lpddsback, 0);
			DDraw_Fill_Surface(lpddsprimary, 0);

			DDraw_Lock_Back_Surface();

			// draw background
			Draw_Bitmap16(&background_bmp, back_buffer, back_lpitch,0);
		
			// unlock back surface
			DDraw_Unlock_Back_Surface();
			DDraw_Flip();

			Draw_Text_GDI("You are now in first command of the USS Microship.",20, 100,RGB(0,150,180), lpddsback);
			Draw_Text_GDI("You must direct her to victory over the invading Japanese Navy. Good luck!",20, 120,RGB(0,150,180), lpddsback);
			Draw_Text_GDI("Press [SPACE] to continue",465, 460,RGB(255,255,255), lpddsback);
			DDraw_Flip();
			time = Get_Clock();
		}
	}
	else goto d;
e:
	DInput_Read_Keyboard();
	if (keyboard_state[DIK_SPACE])
	{
		if(Get_Clock() - time < 400)
			goto e;
		else
		{
			firstrun=true;
			DSound_Stop_All_Sounds();
			time = Get_Clock();
		}
	}
	else goto e;
}



void intros::Intro1()  //intro to level one
{
	/*
Level 1: Small submarines attack below the destroyer.
The USS Microship must time the release of her depth charges so that they will
strike the enemy submarines. If 3 submarines pass by unsunk, the player loses
and must try again. If at least 10 submarines are destroyed, then you have
survived the first wave of attack from the Japanese.
	*/
	
	DWORD time=0;
	BITMAP_IMAGE background_bmp;
	
	if(firstrun)
	{
		Load_Bitmap_File(&bitmap16bit, "graphics/water2.bmp");
		Create_Bitmap(&background_bmp,0,0,640,480,16);
		Load_Image_Bitmap16(&background_bmp, &bitmap16bit,0,0,BITMAP_EXTRACT_MODE_ABS);
		Unload_Bitmap_File(&bitmap16bit);
		
		DDraw_Fill_Surface(lpddsback, 0);
		DDraw_Fill_Surface(lpddsprimary, 0);

		DDraw_Lock_Back_Surface();

		// draw background
		Draw_Bitmap16(&background_bmp, back_buffer, back_lpitch,0);
		
		// unlock back surface
		DDraw_Unlock_Back_Surface();
		DDraw_Flip();

		
		Sleep(500);
		
		firstrun=false;
	}
	Draw_Text_GDI("Get Ready!",10, 10,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("Level 1: Small submarines attack below the destroyer.",20, 100,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("The USS Microship must time the release of her depth charges so that they will",20, 120,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("strike the enemy submarines. If 3 submarines pass by unsunk, the player loses",20, 140,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("and must try again. If at least 10 submarines are destroyed, then you have",20, 160,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("survived the first wave of attack from the Japanese.",20, 180,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("CONTROLS:",20, 260,RGB(255,0,0), lpddsback);
	Draw_Text_GDI("Z: Moves your ship to the left.",20, 280,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("X: Moves your ship to the right.",20, 300,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("DOWN ARROW: Drops a depth charge. Limited to 3 at a time.",20, 320,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("Press [SPACE] to begin",480, 460,RGB(255,255,255), lpddsback);
	DDraw_Flip();

a:
	DInput_Read_Keyboard();
	if (keyboard_state[DIK_SPACE])
	{
		if(Get_Clock() - time < 400)
			goto a;
		else
		{
			firstrun=true;
			DSound_Stop_All_Sounds();
			time = Get_Clock();
		}
	}
	else goto a;
}



void intros::Intro2(int sound_id)  //intro to level two
{
	/*
Level 2: The Japanese send Hayate Hurricane Fighterplanes on a reconnaissance mission.
You must aim and destroy at least 10 of these planes before 5 pass by overhead.
Remember, it takes 2 shots to take down these fighterplanes.
Don't forget, if you take enough damage, your ship will be sunk.
    */

	DWORD time=0;
	BITMAP_IMAGE background_bmp;
	
	if(firstrun)
	{
		Load_Bitmap_File(&bitmap16bit, "graphics/water2.bmp");
		Create_Bitmap(&background_bmp,0,0,640,480,16);
		Load_Image_Bitmap16(&background_bmp, &bitmap16bit,0,0,BITMAP_EXTRACT_MODE_ABS);
		Unload_Bitmap_File(&bitmap16bit);
		
		DDraw_Fill_Surface(lpddsback, 0);
		DDraw_Fill_Surface(lpddsprimary, 0);

		DDraw_Lock_Back_Surface();

		// draw background
		Draw_Bitmap16(&background_bmp, back_buffer, back_lpitch,0);
		
		// unlock back surface
		DDraw_Unlock_Back_Surface();
		DDraw_Flip();
		DSound_Play(sound_id);
		
		Sleep(500);
		
		firstrun=false;
	}

	Draw_Text_GDI("Congratulations! Here is your next Mission.",10, 10,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("Level 2: The Japanese send Hayate Hurricane Fighterplanes on a reconnaissance mission.",20, 100,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("You must aim and destroy at least 10 of these planes before 5 pass by overhead.",20, 120,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("Remember, it takes 2 shots to take down these fighterplanes.",20, 140,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("Don't forget, if you take enough damage, your ship will be sunk.",20, 160,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("CONTROLS:",20, 260,RGB(255,0,0), lpddsback);
	Draw_Text_GDI("Z: Moves your ship to the left.",20, 280,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("X: Moves your ship to the right.",20, 300,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("UP ARROW: Shoots out of the turret. Limited to 2 at a time.",20, 320,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("LEFT and RIGHT ARROWs: Aims the turret -5 and +5 degrees, respectively.",20, 340,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("Press [SPACE] to begin",480, 460,RGB(255,255,255), lpddsback);
	DDraw_Flip();

a:
	DInput_Read_Keyboard();
	if (keyboard_state[DIK_SPACE])
	{
		if(Get_Clock() - time < 400)
			goto a;
		else
		{
			firstrun=true;
			DSound_Stop_All_Sounds();
			time = Get_Clock();
		}
	}
	else goto a;
}


void intros::Intro3(int sound_id)  //intro to level three
{
	/*
Level 3: The third wave of Japanese attack mixes both submarines and fighterplanes.
You must be quick and decisive because ammo is limited. If 5 enemies get by without
being destroyed, you lose. You must destroy at least 15 enemy units inorder for the
Japanese to fall back.
	*/

	DWORD time=0;
	BITMAP_IMAGE background_bmp;
	
	if(firstrun)
	{
		Load_Bitmap_File(&bitmap16bit, "graphics/water2.bmp");
		Create_Bitmap(&background_bmp,0,0,640,480,16);
		Load_Image_Bitmap16(&background_bmp, &bitmap16bit,0,0,BITMAP_EXTRACT_MODE_ABS);
		Unload_Bitmap_File(&bitmap16bit);
		
		DDraw_Fill_Surface(lpddsback, 0);
		DDraw_Fill_Surface(lpddsprimary, 0);

		DDraw_Lock_Back_Surface();

		// draw background
		Draw_Bitmap16(&background_bmp, back_buffer, back_lpitch,0);
		
		// unlock back surface
		DDraw_Unlock_Back_Surface();
		DDraw_Flip();
		DSound_Play(sound_id);
		
		Sleep(500);
		
		firstrun=false;
	}
	Draw_Text_GDI("Congratulations! Here is your next Mission.",10, 10,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("Level 3: The third wave of Japanese attack mixes both submarines and fighterplanes.",20, 100,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("You must be quick and decisive because ammo is limited. If 5 enemies get by without",20, 120,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("being destroyed, you lose. You must destroy at least 15 enemy units inorder for the",20, 140,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("Japanese to fall back.",20, 160,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("CONTROLS:",20, 260,RGB(255,0,0), lpddsback);
	Draw_Text_GDI("Z: Moves your ship to the left.",20, 280,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("X: Moves your ship to the right.",20, 300,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("UP ARROW: Shoots out of the turret. Limited to 2 at a time.",20, 320,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("DOWN ARROW: Drops a depth charge. Limited to 3 at a time.",20, 340,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("LEFT and RIGHT ARROWs: Aims the turret -5 and +5 degrees, respectively.",20, 360,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("Press [SPACE] to begin",480, 460,RGB(255,255,255), lpddsback);
	DDraw_Flip();

a:
	DInput_Read_Keyboard();
	if (keyboard_state[DIK_SPACE])
	{
		if(Get_Clock() - time < 400)
			goto a;
		else
		{
			firstrun=true;
			DSound_Stop_All_Sounds();
			time = Get_Clock();
		}
	}
	else goto a;
}


void intros::Intro4(int sound_id)  //intro to level four
{
	/*
Level 4: The fourth wave of attack is similar to the third, except this time there
are many more enemy units on the way. You must destroy at least 20 enemy units out of the 25 units.
	*/

	DWORD time=0;
	BITMAP_IMAGE background_bmp;
	
	if(firstrun)
	{
		Load_Bitmap_File(&bitmap16bit, "graphics/water2.bmp");
		Create_Bitmap(&background_bmp,0,0,640,480,16);
		Load_Image_Bitmap16(&background_bmp, &bitmap16bit,0,0,BITMAP_EXTRACT_MODE_ABS);
		Unload_Bitmap_File(&bitmap16bit);
		
		DDraw_Fill_Surface(lpddsback, 0);
		DDraw_Fill_Surface(lpddsprimary, 0);

		DDraw_Lock_Back_Surface();

		// draw background
		Draw_Bitmap16(&background_bmp, back_buffer, back_lpitch,0);
		
		// unlock back surface
		DDraw_Unlock_Back_Surface();
		DDraw_Flip();
		DSound_Play(sound_id);
		
		Sleep(500);
		
		firstrun=false;
	}
	Draw_Text_GDI("Congratulations! Here is your next Mission.",10, 10,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("Level 4: The fourth wave of attack is similar to the third, except this time there",20, 100,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("are many more enemy units on the way. You must destroy at least 20 enemy units out",20, 120,RGB(0,150,180), lpddsback);
	Draw_Text_GDI(" of the 25 units.",20, 140,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("CONTROLS:",20, 260,RGB(255,0,0), lpddsback);
	Draw_Text_GDI("Z: Moves your ship to the left.",20, 280,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("X: Moves your ship to the right.",20, 300,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("UP ARROW: Shoots out of the turret. Limited to 2 at a time.",20, 320,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("DOWN ARROW: Drops a depth charge. Limited to 3 at a time.",20, 340,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("LEFT and RIGHT ARROWs: Aims the turret -5 and +5 degrees, respectively.",20, 360,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("Press [SPACE] to begin",480, 460,RGB(255,255,255), lpddsback);
	DDraw_Flip();

a:
	DInput_Read_Keyboard();
	if (keyboard_state[DIK_SPACE])
	{
		if(Get_Clock() - time < 400)
			goto a;
		else
		{
			firstrun=true;
			DSound_Stop_All_Sounds();
			time = Get_Clock();
		}
	}
	else goto a;
}


void intros::Intro5(int sound_id)  //intro to level five
{
	/*
Level 5: USS Microship still stands! Beware of the Kamikaze fighters, however.
The Japanese have decided to go all out to try to destroy your ship. You must
wipe out all of the enemy units inorder to save the harbor.
	*/

	DWORD time=0;
	BITMAP_IMAGE background_bmp;
	
	if(firstrun)
	{
		Load_Bitmap_File(&bitmap16bit, "graphics/water2.bmp");
		Create_Bitmap(&background_bmp,0,0,640,480,16);
		Load_Image_Bitmap16(&background_bmp, &bitmap16bit,0,0,BITMAP_EXTRACT_MODE_ABS);
		Unload_Bitmap_File(&bitmap16bit);
		
		DDraw_Fill_Surface(lpddsback, 0);
		DDraw_Fill_Surface(lpddsprimary, 0);

		DDraw_Lock_Back_Surface();

		// draw background
		Draw_Bitmap16(&background_bmp, back_buffer, back_lpitch,0);
		
		// unlock back surface
		DDraw_Unlock_Back_Surface();
		DDraw_Flip();
		DSound_Play(sound_id);
		
		Sleep(500);
		
		firstrun=false;
	}
	Draw_Text_GDI("Congratulations! Here is your next Mission.",10, 10,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("Level 5: USS Microship still stands! Beware of the Kamikaze fighters, however.",20, 100,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("The Japanese have decided to go all out to try to destroy your ship. You must",20, 120,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("wipe out all of the enemy units inorder to save the harbor.",20, 140,RGB(0,150,180), lpddsback);
	Draw_Text_GDI("CONTROLS:",20, 260,RGB(255,0,0), lpddsback);
	Draw_Text_GDI("Z: Moves your ship to the left.",20, 280,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("X: Moves your ship to the right.",20, 300,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("UP ARROW: Shoots out of the turret. Limited to 2 at a time.",20, 320,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("DOWN ARROW: Drops a depth charge. Limited to 3 at a time.",20, 340,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("LEFT and RIGHT ARROWs: Aims the turret -5 and +5 degrees, respectively.",20, 360,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("Press [SPACE] to begin",480, 460,RGB(255,255,255), lpddsback);
	DDraw_Flip();

a:
	DInput_Read_Keyboard();
	if (keyboard_state[DIK_SPACE])
	{
		if(Get_Clock() - time < 400)
			goto a;
		else
		{
			firstrun=true;
			DSound_Stop_All_Sounds();
			time = Get_Clock();
		}
	}
	else goto a;
}


void intros::Ending(int& sound_id)  //game ending sequence
{
	/*
CONGRATULATIONS! YOU HAVE DESTROYED THE EVIL POWER!
	*/

	DWORD time=0;
	BITMAP_IMAGE background_bmp;
	
	if(firstrun)
	{
		Load_Bitmap_File(&bitmap16bit, "graphics/water2.bmp");
		Create_Bitmap(&background_bmp,0,0,640,480,16);
		Load_Image_Bitmap16(&background_bmp, &bitmap16bit,0,0,BITMAP_EXTRACT_MODE_ABS);
		Unload_Bitmap_File(&bitmap16bit);
		
		DDraw_Fill_Surface(lpddsback, 0);
		DDraw_Fill_Surface(lpddsprimary, 0);

		DDraw_Lock_Back_Surface();

		// draw background
		Draw_Bitmap16(&background_bmp, back_buffer, back_lpitch,0);
		
		// unlock back surface
		DDraw_Unlock_Back_Surface();
		DDraw_Flip();

		DSound_Play(sound_id,DSBPLAY_LOOPING);
		
		Sleep(500);
		
		firstrun=false;
	}

	Draw_Text_GDI("CONGRATULATIONS! YOU HAVE DESTROYED THE EVIL POWER!",20, 100,RGB(255,0,0), lpddsback);
	Draw_Text_GDI("The USS Microship still stands!",20, 120,RGB(255,255,255), lpddsback);
	Draw_Text_GDI("Press [SPACE] to continue",465, 460,RGB(255,255,255), lpddsback);
	DDraw_Flip();

a:
	DInput_Read_Keyboard();
	if (keyboard_state[DIK_SPACE])
	{
		if(Get_Clock() - time < 400)
			goto a;  // read every 400ms
		else
		{
			firstrun=true;
			DSound_Stop_All_Sounds();
			time = Get_Clock();
		}
	}
	else goto a; //keep going till space bar is hit
}

