#include <windows.h>   // include important windows stuff
#include <windowsx.h> 
#include <mmsystem.h>
#include <iostream.h> // include important C/C++ stuff
#include <conio.h>
#include <stdlib.h>
#include <malloc.h>
#include <memory.h>
#include <string.h>
#include <stdarg.h>
#include <stdio.h> 
#include <math.h>
#include <io.h>
#include <fcntl.h>

#include <ddraw.h>  // directX includes
#include <dsound.h>
#include <dmksctrl.h>
#include <dmusici.h>
#include <dmusicc.h>
#include <dmusicf.h>
#include <dinput.h>

#include "T3DLIB1.h" // game library includes
#include "T3DLIB2.h"
#include "T3DLIB3.h"

#include "plane1.h"


//Constructor
plane1::plane1()
{
	
	
}

plane1::~plane1()
{
	Destroy_BOB(&plane);
}

BOB plane1::bob()
{
	BOB temp;
	temp= plane;
	return temp;
}

//Creates a plane
void plane1::Create()
{
	int index=0;
	// load the bitmaps
	Load_Bitmap_File(&bitmap16bit, "graphics/plane1.bmp");
	// create bob
	Create_BOB(&plane,0,0,83,44,1,BOB_ATTR_MULTI_FRAME | BOB_ATTR_VISIBLE, DDSCAPS_SYSTEMMEMORY,0,16);
	Set_Anim_Speed_BOB(&plane, 1);
	Set_Vel_BOB(&plane, 2+rand()%3,0);
	//Set_Pos_BOB(&submarine, 1, 1);
	//for (index=0; index < 1; index++)
	Load_Frame_BOB16(&plane, &bitmap16bit, 0, 0, 0, BITMAP_EXTRACT_MODE_CELL);
	
	
	//for (index=0; index < NUM_SUBMARINES; index++)
	{
		// clone the bob
		// Clone_BOB(&submarine, &submarine);
		// set new position and velocity
		//Set_Vel_BOB(&submarine,2+rand()%6,0);
		
		
		Set_Pos_BOB(&plane, plane.width * -1 , plane.height+rand()%100);
		
		
		// now here the tricky part, alter the size of the bob, but make sure
		// to keep the aspect ratio the same, so it doesn't look scrunched
		/*			this->width  = 178 - 10 * index;
		this->height = 64;
		// store new width and height in varsIable cache positions 0,1
		submarine[index].varsI[0] = this->width;
		submarine[index].varsI[1] = this->height;*/
	} // end for index
	Unload_Bitmap_File(&bitmap16bit);
	status=1;
}

//Removes a plane
void plane1::Kill()
{
	int x=0,y=0;
	const int waterline=230;
	if (status!=0)
	{

		if(plane.y>SCREEN_HEIGHT)   //off the screen
		{
			Destroy_BOB(&plane);
			status=0;
		}
		
		
		else if( (plane.y + (plane.height/2)) < waterline) //between top and waterline
		{
			if (status==1)
			{
				x=plane.x;
				y=plane.y;
				Load_Bitmap_File(&bitmap16bit, "graphics/plane2.bmp");
				// create bob
				Create_BOB(&plane,x,y,83,44,3,BOB_ATTR_MULTI_FRAME | BOB_ATTR_VISIBLE, DDSCAPS_SYSTEMMEMORY,0,16);
				Set_Anim_Speed_BOB(&plane, 1);
				Set_Vel_BOB(&plane, 1,2);
				for (int index=0; index < 3; index++)
					Load_Frame_BOB16(&plane, &bitmap16bit, index, 0, index, BITMAP_EXTRACT_MODE_CELL);
				status=2;
			}
			else if(status==2)// && ((plane.y + plane.height) < waterline) ) //in the air
			{
				Move_BOB(&plane);
				Animate_BOB(&plane);
				Draw_BOB16(&plane,lpddsback);
				if((plane.y + (plane.height/2) ) >= waterline)
				{	//status==3;
					x=plane.x;
					y=plane.y;
					Destroy_BOB(&plane);
					Load_Bitmap_File(&bitmap16bit, "graphics/plane3.bmp");
					// create bob
					Create_BOB(&plane,x,y,83,44,3,BOB_ATTR_MULTI_FRAME | BOB_ATTR_VISIBLE, DDSCAPS_SYSTEMMEMORY,0,16);
					Set_Anim_Speed_BOB(&plane, 1);
					Set_Vel_BOB(&plane, 0,2);
					for (int index=0; index < 3; index++)
						Load_Frame_BOB16(&plane, &bitmap16bit, index, 0, index, BITMAP_EXTRACT_MODE_CELL);
					status=4;
				}
			}
		}


		else if( (plane.y<SCREEN_HEIGHT) && (plane.y+ (plane.height/2) ) >= waterline)  //below the waterline
		{
			if(status==4)
			{
				Move_BOB(&plane);
				Animate_BOB(&plane);
				Draw_BOB16(&plane,lpddsback);
			}
		}

	}
}

int plane1::GetPosition() //gets the x position of the plane
{
	return plane.x;
}

//Moves a plane across the screen
void plane1::Move()
{
	int x=0,y=0;		
	Move_BOB(&plane);
	Animate_BOB(&plane);
		
	Draw_BOB16(&plane,lpddsback);
	status=1;



	if(plane.y>SCREEN_HEIGHT)   //off the screen
	{
		Destroy_BOB(&plane);
		status=0;
	}
}

